# classes/phing/parser/Location.php

Stores the file name and line number of a XML file

access
  public
author
  Andreas Aderhold
copyright
  © 2001,2002 THYRELL. All rights reserved
package
  phing.parser
version
  $Revision: 526 $ $Date: 2009-08-11 14:11:17 +0200 (Tue, 11 Aug 2009) $

## \Location
jump to top

Stores the file name and line number of a XML file

access
  public
author
  Andreas Aderhold
copyright
  © 2001,2002 THYRELL. All rights reserved
package
  phing.parser
version
  $Revision: 526 $ $Date: 2009-08-11 14:11:17 +0200 (Tue, 11 Aug 2009) $

### Properties

`$columnNumber= ''`
Details

Type

`$fileName= ''`
Details

Type

`$lineNumber= ''`
Details

Type

### Methods

`Location( string $fileName = null, integer $lineNumber = null, integer $columnNumber = null ) :`
Constructs the location consisting of a file name and line number
Parameters

Name | Type | Description
--- | --- | ---
$fileName | string | the filename
$lineNumber | integer | the line number
$columnNumber | integer | the column number

Details

access
  public

`__toString( ) :`
`toString( ) : string`
Returns the file name, line number and a trailing space.

An error message can be appended easily. For unknown locations, returns empty string.

Returns

Type | Description
--- | ---
string |

Details

access
  public

Documentation was generated by DocBlox 0.13.1.